LN(1)

NOM
ln - Créer des liens entre des fichiers

SYNOPSIS
ln [OPTION]... [-T] CIBLE NOM_LIEN
ln [OPTION]... CIBLE
ln [OPTION]... CIBLE... RÉPERTOIRE
ln [OPTION]... -t RÉPERTOIRE CIBLE...

DESCRIPTION

Dans le 1er format, créer un lien vers la CIBLE avec le NOM_DU_LIEN. Dans le 2e format, créer un lien vers la CIBLE dans le répertoire actuel. Dans les 3e et 4e formats, créer des liens vers chaque CIBLE dans le RÉPERTOIRE. Par défaut, les liens créés sont des liens directs (« hard link ») ; pour créer des liens symboliques, utiliser --symbolic. Les noms des liens à créer ne doivent pas, par défaut, déjà exister. Lors de la création de liens directs, chaque CIBLE doit exister. Un lien symbolique peut contenir n'importe quel texte ; lors de la résolution du lien par la suite, un lien relatif est interprété par rapport à son répertoire parent.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

--backup[=CONTRÔLE]
    archiver chaque fichier cible existant

-b  identique à --backup mais sans paramètre

-d, -F, --directory
    permettre au superutilisateur de créer des liens directs (« hard links ») sur des répertoires (ceci échouera probablement en raison de restrictions système même pour le superutilisateur)

-f, --force
    détruire les fichiers de destination existants

-i, --interactive
    demander confirmation avant de détruire les destinations

-L, --logical
    déréférencer les CIBLEs si elles sont des liens symboliques

-n, --no-dereference
    traiter NOM_DU_LIEN comme un fichier ordinaire si c'est un lien symbolique vers un répertoire

-P, --physical
    créer des liens directs directement vers les liens symboliques

-r, --relative
    avec -s, créer des liens vis-à-vis de l'emplacement du lien

-s, --symbolic
    créer des liens symboliques au lieu de liens directs

-S, --suffix=SUFFIXE
    outrepasser le suffixe habituel d'archivage avec le SUFFIXE

-t, --target-directory=RÉPERTOIRE
    indiquer le RÉPERTOIRE dans lequel les liens seront créés

-T, --no-target-directory
    toujours traiter le NOM_DU_LIEN comme un fichier normal

-v, --verbose
    afficher le nom de chaque fichier lié

--help
    Afficher l'aide-mémoire et quitter.

--version
    afficher les informations de version et quitter

Le suffixe d'archivage est « ~ », à moins d'avoir été initialisé avec --suffix ou SIMPLE_BACKUP_SUFFIX. La méthode de contrôle de version peut être choisie à l'aide de l'option --backup ou à l'aide de la variable d'environnement VERSION_CONTROL parmi les valeurs suivantes :

none, off
    ne jamais archiver (même si --backup est utilisé)

numbered, t
    faire des archives numérotées

existing, nil
    numéroter si des archives numérotées existent déjà, sinon ne pas numéroter

simple, never
    toujours faire des archives de type simple

Lorsque -s est utilisé, -L et -P sont ignorés. Sinon, la dernière option spécifiée contrôle le comportement lorsque la CIBLE est un lien symbolique, en utilisant -P par défaut.

AUTEUR
Écrit par Mike Parker et David MacKenzie.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

VOIR AUSSI
link(2), symlink(2)

Documentation complète : <https://www.gnu.org/software/coreutils/ln>
aussi disponible localement à l’aide de la commande : info '(coreutils) ln invocation'

Empaqueté par Debian (9.7-3)
Copyright © 2025 Free Software Foundation, Inc.
Licence GPLv3+ : GNU GPL version 3 ou supérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer.
Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.